using BBM.ChatGLM.Dtos;
using Volo.Abp.Application.Dtos;

namespace BBM.ChatGLM.PromptWordType
{
    public interface IPromptWordTypesAppService : IApplicationService
    {
        Task<PromptWordTypeDto> CreateAsync(PromptWordTypeCreateInput input);
        Task<PromptWordTypeDto> UpdateAsync(PromptWordTypeUpdateInput input);
        Task<int> DeleteAsync(GuidIdInput input);
        Task<PagedResultDto<PromptWordTypeDto>> PageAsync(PromptWordTypePageInput input);
        Task<List<string>> Top1000Async();
    }
}
